/////////////////////////////////////////////////////////////////////////////
//
// CookieDlg.h : header file
//
/////////////////////////////////////////////////////////////////////////////

#include "CookieText.h"
#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// CCookieDlg dialog

class CCookieDlg : public CDialog
{
public:
	CCookieDlg(CWnd* pParent = NULL);

	void DoRandom();
    void DoSpecific(UINT CookieNum);
	void DoBanner();
	
	~CCookieDlg();

// Dialog Data
	//{{AFX_DATA(CCookieDlg)
	enum { IDD = IDD_COOKIE_DIALOG };
	CSpinButtonCtrl	m_SpinSelectCookie;
	//}}AFX_DATA
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCookieDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL
	

// Implementation
protected:
	HICON		    m_hIcon;
	CCookieText	    *Cookie;
	CBitmapButton   CookieDlg_Quit;
	CBitmapButton   CookieDlg_Again;
	CBitmapButton   CookieDlg_About;

	// Generated message map functions
	//{{AFX_MSG(CCookieDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnAbout();
	afx_msg void OnBtnAgain();
	afx_msg void OnBtnFirst();
	afx_msg void OnBtnLast();
	afx_msg void OnBtnPrevious();
	afx_msg void OnBtnNext();
	afx_msg void OnOk();
	afx_msg void OnBtnGoto();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
};
/////////////////////////////////////////////////////////////////////////////
