/////////////////////////////////////////////////////////////////////////////
//
// CookieDlgAbout.cpp
//
// This was originally part of the CookieDlg files but it has been migrated 
// out to seperate files to make life a touch easier.
//
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "CookieDlgAbout.h"
#include "CookieDlgEaster.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT

// Initialise the easter egg.
    Easter1 = FALSE;
    Easter2 = FALSE;
}

/////////////////////////////////////////////////////////////////////////////
void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	DDX_Control(pDX, IDC_COOKIE_ABOUT, m_CookieAbout);
	//}}AFX_DATA_MAP
}

/////////////////////////////////////////////////////////////////////////////
BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
	ON_BN_CLICKED(IDC_BTN_EASTER_2, OnBtnEaster2)
	ON_BN_CLICKED(IDC_BTN_EASTER_1, OnBtnEaster1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////

BOOL CAboutDlg::OnInitDialog() 
{
// Call the base class
    CDialog::OnInitDialog();

// Set the version string in the dialog
CString     fmtString;

    fmtString.LoadString(IDS_VERSION);
    m_CookieAbout.SetWindowText(fmtString);

// Get out of here
return TRUE;  // return TRUE unless you set the focus to a control
              // EXCEPTION: OCX Property Pages should return FALSE
}

void CAboutDlg::OnBtnEaster2() 
{
Easter2 = TRUE;
DoEaster();
}

void CAboutDlg::OnBtnEaster1() 
{
Easter1 = TRUE;
DoEaster();
}

void CAboutDlg::DoEaster()
{
if (Easter1 && Easter2)
    {
    Easter1 = Easter2 = FALSE;
    CEasterDlg Easter;
    Easter.DoModal();
    }
}