/////////////////////////////////////////////////////////////////////////////
//
// XProgDlg.h : Progress Bar Dialog header file
//
// The progress bar has been implemented in a DLL.  This file allows
// access to the x_mfcex.dll.  You should include a referance to 
// the import library x_mfcex.lib in the linker settings.
//
/////////////////////////////////////////////////////////////////////////////

// The following magic number is included here as it seemed 
// that to include the resource header for the whole project
// would be a touch excessive.
#define IDD_PROGRESS    129


/////////////////////////////////////////////////////////////////////////////
// CXProgressDlg dialog

class AFX_EXT_CLASS CXProgressDlg : public CDialog
{
// Construction
public:
	~CXProgressDlg();                       // destructor
	CXProgressDlg(CWnd* pParent = NULL);    // standard constructor

	BOOL DoStep(void);
	BOOL SetBanner(const char* NewBanner);
	BOOL SetPosition(int NewPosition);
	BOOL SetRange(int NewMin, int NewMax);
    BOOL SetStep(int NewStep);
	BOOL Reset(void);
	
// Dialog Data
	//{{AFX_DATA(CXProgressDlg)
	enum { IDD = IDD_PROGRESS };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CXProgressDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation



protected:
	// Generated message map functions
	//{{AFX_MSG(CXProgressDlg)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	CProgressCtrl* ProgressControl;
};
